View Issue Details

IDProjectCategoryView StatusLast Update
0003230Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003230: "Data Output Level" setting on FTDX-1200 doesn't work
DescriptionRig Control offers a slider named "096 Data Output Level". This slider doesn't work to set the radio, and doesn't read the radio's setting.

Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 96, which is "RTTY OUT LEVEL"

4) Use the "Radio Layout" command in the "View" menu to reach the "Customize Layout" dialog
5) On the "Sliders: Layout" tab, make sure the "096 TX Polarity" slider is visible.

6) Exercise the "Data Output Level" slider.

BUG#1) The radio doesn't change its setting.

7) Use the VFO-B knob on the radio to change the radio's setting directly.

BUG#2) The UI doesn't reflect the radio's change.
TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 11:45

administrator   ~0007602

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4875

WA9PIE

2019-03-26 14:54

administrator   ~0007759

Validated during tests at HRO - Plano (TX)

(However, step 5 seems to refer to the wrong function. It should be "096 RTTY OUT LEVEL".)

Issue History

Date Modified Username Field Change
2019-03-05 11:47 K7ZCZ New Issue
2019-03-05 11:48 K7ZCZ Tag Attached: FTDX-1200
2019-03-05 11:48 K7ZCZ Tag Attached: Yaesu
2019-03-06 11:45 K7ZCZ Assigned To => K7ZCZ
2019-03-06 11:45 K7ZCZ Status new => resolved
2019-03-06 11:45 K7ZCZ Resolution open => fixed
2019-03-06 11:45 K7ZCZ Note Added: 0007602
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:54 WA9PIE Status resolved => closed
2019-03-26 14:54 WA9PIE Description Updated View Revisions
2019-03-26 14:54 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 14:54 WA9PIE Testing Not Started => Beta Successful
2019-03-26 14:54 WA9PIE Note Added: 0007759
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe